Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 40)
@@ -37,7 +37,8 @@
         /// <summary>
         /// パスを定数で定義する
         /// </summary>
-        public const string s_UPDATE_FILE_PATH = @"Z:\52GenbaKantokuHisyo";
+        public const string s_UPDATE_FILE_PATH = @"D:\Work\Test";
+        //public const string s_UPDATE_FILE_PATH = @"Z:\52GenbaKantokuHisyo";
         //public const string s_UPDATE_FILE_PATH = @"Z:\5-2現場監督秘書";
         //private const string s_UPDATE_FILE_PATH = @"Z:\⑤ＩＴ事業部用\Debug";
         public const string s_UPDATECOPY_NAME = "UpDateCopy.exe";
@@ -521,7 +522,9 @@
         /// <summary>
         /// 起動時日付チェックを必要とする処理のキー
         /// </summary>
-        public static Dictionary<int, string> ExePrimaryCode = new Dictionary<int, string>() { { 1, "初回起動日付" } };
+        public static Dictionary<int, string> ExePrimaryCode = new Dictionary<int, string>() { { 1, "初回起動日付" },
+                                                                                                { 2, "システムバージョン" },
+                                                                                            };
         #endregion
 
         #region 管理マスタ：工事番号基準値
Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 40)
@@ -0,0 +1,24 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace ProcessManagement.Common
+{
+    /// <summary>
+    /// システムバージョン定義クラス
+    /// </summary>
+    public static class CommonVersion
+    {
+        /// <summary>
+        /// 本体バージョン
+        /// </summary>
+        public static int s_SystemVersion = 1;
+
+        /// <summary>
+        /// コピー・環境バージョン
+        /// </summary>
+        public static int s_UpDateCopyVersion = 1;
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 40)
@@ -66,6 +66,7 @@
             PurchaseOrderStatus = 19,           // 19:注文書発給一覧
             OrderJoin = 20,                     // 20:工事結合
             ConstructionSplit = 21,             // 21:工事分割
+            DRTransport = 22,                   // 22:通勤交通費
         }
         #endregion
 
@@ -145,7 +146,11 @@
                                                                                 { (int)ProcessExecuteNo.DRConstruction,         "工事日報－入力"},
                                                                                 { (int)ProcessExecuteNo.Proceedings,            "打合せ議事録－入力"},
                                                                                 //{ (int)ProcessExecuteNo.DailyReportList,        "出勤日報－入力"},
-                                                                                };
+                                                                                //{ (int)ProcessExecuteNo.PurchaseOrderStatus,    "注文書発給状況－一覧"},
+                                                                                //{ (int)ProcessExecuteNo.OrderJoin,              "工事結合－入力"},
+                                                                                //{ (int)ProcessExecuteNo.ConstructionSplit,      "工事分割－入力"},
+                                                                                //{ (int)ProcessExecuteNo.DRTransport,            "通勤交通費－入力"},
+        };
 
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsUpDate.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsUpDate.cs	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsUpDate.cs	(revision 40)
@@ -110,5 +110,52 @@
             }
         }
         #endregion
+
+        #region ファイルをコピーする
+        /// <summary>
+        /// ファイルのハッシュ値と更新日付を確認する
+        /// </summary>
+        /// <returns></returns>
+        public static bool UpdateAndEnvFileCopy()
+        {
+            try
+            {
+                bool bRet = true;                       // 戻り値  
+                string srcUpdataProc = string.Empty;    // コピー元ファイルパス作成エリア
+                string destUpdataProc = string.Empty;   // コピー先ファイルパス作成エリア
+
+                // デバック以外は使わない
+                //return true;
+                // 接続できなければ処理しない
+                if (!Directory.Exists(CommonDefine.s_UPDATE_FILE_PATH)) return true;
+
+                // コピー元(サーバー)ファイルリストを取得する
+                string[] files = Directory.GetFiles(CommonDefine.s_UPDATE_FILE_PATH);
+                foreach (string sourceFile in files)
+                {
+                    // ファイル名を取得する
+                    int spoint = sourceFile.LastIndexOf("\\") + 1;
+                    string Procename = sourceFile.Substring(spoint);
+                    // コピー先(カレント)ファイル名作成
+                    string destinationFile = System.Environment.CurrentDirectory + "\\" + Procename;
+
+                    // コピープロセスコピー
+                    if (!CommonDefine.s_UPDATECOPY_NAME.Equals(Procename)) continue;
+
+                    srcUpdataProc = @sourceFile;
+                    destUpdataProc = @destinationFile;
+                 
+                    File.Copy(@srcUpdataProc, @destUpdataProc, true);
+                }
+
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyData.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyData.cs	(revision 40)
@@ -0,0 +1,352 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 日報データＤＢアクセス
+    /// </summary>
+    public class IODailyData : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// データフィールド並び
+        /// </summary>
+        public enum DataColumn
+        {
+            /// <summary>
+            /// 作成者コード
+            /// </summary>
+            PersonCode,
+            /// <summary>
+            /// 日報作成日
+            /// </summary>
+            DailyDataDate,
+            /// <summary>
+            /// 行番号
+            /// </summary>
+            LineCount,
+            /// <summary>
+            /// 工事番号
+            /// </summary>
+            ConstructionCode,
+            /// <summary>
+            /// 作業内容
+            /// </summary>
+            WorkContentsText,
+            /// <summary>
+            /// 登録年月日
+            /// </summary>
+            EntryDate,
+            /// <summary>
+            /// 更新年月日
+            /// </summary>
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IODailyData()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+
+            strcmd += "  PersonCode";                                       // 担当者コード
+            strcmd += " ,TO_CHAR(DailyDataDate, 'YYYY/MM/DD')";             // 日報作成日
+            strcmd += " ,LineCount";                                        // 行番号
+            strcmd += " ,ConstructionCode";                                 // 工事番号
+            strcmd += " ,WorkContentsText";                                 // 作業内容
+            strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";      // 登録年月日
+            strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";     // 更新年月日
+            strcmd += " FROM DailyData";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 複数読込み処理
+        public bool SelectAction(string AddSQLString, ref List<DailyData> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    DailyData work = new DailyData();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件読込み処理
+        public bool SelectAction(string AddSQLString, ref DailyData data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件追加処理
+        /// <summary>
+        /// 担当者毎経費データ追加
+        /// </summary>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(DailyData work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO DailyData";
+
+                strcmd += " VALUES (";
+
+                strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
+                                            , work.DailyDataDate.ToShortDateString());  // 日報作成日
+                strcmd += string.Format(", {0}", work.LineCoount);                      // 行番号
+                strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
+                strcmd += string.Format(",'{0}'", work.WorkContentsText);               // 作業内容
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 複数追加処理
+        public bool InsertAction(List<DailyData> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (DailyData work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 更新処理
+        /// <summary>
+        /// 担当者毎経費データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, DailyData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE DailyData";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd += string.Format(",DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')"
+                                        , data.DailyDataDate.ToShortDateString());              // 日報作成日
+                strcmd += string.Format(",LineCoount = {0}", data.LineCoount);                  // 行番号
+                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                strcmd += string.Format(",WorkContentsText = '{0}'", data.WorkContentsText);    // 作業内容
+                
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 削除処理
+        /// <summary>
+        /// 担当者毎経費データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM DailyData", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データセット処理
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref DailyData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)DataColumn.DailyDataDate].ToString());       // 日報作成日
+                wrk.LineCoount = int.Parse(objwrk[(int)DataColumn.LineCount].ToString());                   // 行番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.WorkContentsText = objwrk[(int)DataColumn.WorkContentsText].ToString();                 // 作業内容
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 検索文字列作成処理
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ActionDate"></param>
+        /// <param name="DataType"></param>
+        /// <param name="DataAddCount"></param>
+        /// <returns></returns>
+        public string CreatePrimarykeyString(int PersonCode, DateTime DailyDataDate, int LineCount)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                if (DailyDataDate != DateTime.MinValue)
+                    strWork += string.Format(" AND DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyDataDate.ToShortDateString());
+                if (LineCount != 0)
+                    strWork += string.Format(" AND LineCount = {0}", LineCount);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs	(revision 40)
@@ -35,6 +35,8 @@
         {
             PrimaryCode = 0,
             TargetDate,
+            SystemVersion,
+            UpDateCopyVersion,
             EntryDate,
             UpdateDate,
         }
@@ -65,6 +67,8 @@
             string strcmd = "SELECT";
             strcmd += "  PrimaryCode";
             strcmd += " ,TO_CHAR(TargetDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " ,SystemVersion";
+            strcmd += " ,UpDateCopyVersion";
             strcmd += " ,TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
             strcmd += " ,TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
             strcmd += " FROM SystemExecute";
@@ -168,6 +172,8 @@
 
             strcmd += "(PrimaryCode";
             strcmd += " ,TargetDate";
+            strcmd += " ,SystemVersion";
+            strcmd += " ,UpDateCopyVersion";
             strcmd += " ,EntryDate";
             strcmd += " ,UpdateDate)";
 
@@ -174,6 +180,8 @@
             strcmd += " VALUES (";
             strcmd += string.Format("{0}", work.PrimaryCode);
             strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", work.TargetDate.ToShortDateString());
+            strcmd += string.Format("{0}", work.SystemVersion);
+            strcmd += string.Format("{0}", work.UpDateCopyVersion);
 
             strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
             strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -255,6 +263,8 @@
 
                 strcmd += string.Format(" PrimaryCode = {0}", data.PrimaryCode);
                 strcmd += string.Format(", TargetDate = TO_DATE('{0}','YYYY/MM/DD')", data.TargetDate.ToShortDateString());
+                strcmd += string.Format(", SystemVersion = {0}", data.SystemVersion);
+                strcmd += string.Format(", UpDateCopyVersion = {0}", data.UpDateCopyVersion);
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += AddSQLString;
@@ -323,6 +333,12 @@
                     case (int)TableColumn.TargetDate:
                         strcmd += string.Format(" TargetDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
+                    case (int)TableColumn.SystemVersion:
+                        strcmd += string.Format(" SystemVersion = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.UpDateCopyVersion:
+                        strcmd += string.Format(" UpDateCopyVersion = {0}", ((int)value).ToString());
+                        break;
                 }
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -353,6 +369,8 @@
                 // データ取得
                 wrk.PrimaryCode = int.Parse(objwrk[(int)TableColumn.PrimaryCode].ToString());
                 wrk.TargetDate = DateTime.Parse(objwrk[(int)TableColumn.TargetDate].ToString());
+                wrk.SystemVersion = int.Parse(objwrk[(int)TableColumn.SystemVersion].ToString());
+                wrk.UpDateCopyVersion = int.Parse(objwrk[(int)TableColumn.UpDateCopyVersion].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/DailyData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/DailyData.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/DailyData.cs	(revision 40)
@@ -0,0 +1,103 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 日報データ定義クラス
+    /// </summary>
+    public class DailyData
+    {
+        #region メンバ変数
+        /// <summary>
+        /// 作成者コード
+        /// </summary>
+        private int         m_PersonCode = 0;
+        /// <summary>
+        /// 日報作成日
+        /// </summary>
+        private DateTime    m_DailyDataDate = DateTime.MinValue;
+        /// <summary>
+        /// 行番号
+        /// </summary>
+        private int         m_LineCoount = 0;
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int         m_ConstructionCode = 0;
+        /// <summary>
+        /// 作業内容
+        /// </summary>
+        private string      m_WorkContentsText = string.Empty;
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        private DateTime    m_EntryDate = DateTime.Now;
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        private DateTime    m_UpdateDate = DateTime.Now;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 作成者コード
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+        /// <summary>
+        /// 日報作成日
+        /// </summary>
+        public DateTime DailyDataDate
+        {
+            get { return m_DailyDataDate; }
+            set { m_DailyDataDate = value; }
+        }
+        /// <summary>
+        /// 行番号
+        /// </summary>
+        public int LineCoount
+        {
+            get { return m_LineCoount; }
+            set { m_LineCoount = value; }
+        }
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+        /// <summary>
+        /// 作業内容
+        /// </summary>
+        public string WorkContentsText
+        {
+            get { return m_WorkContentsText; }
+            set { m_WorkContentsText = value; }
+        }
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+        #endregion
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/SystemExecute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/SystemExecute.cs	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/SystemExecute.cs	(revision 40)
@@ -17,11 +17,22 @@
         /// キー項目
         /// </summary>
         private int m_PrimaryCode = 0;
+        
         /// <summary>
         /// 起動日付
         /// </summary>
         private DateTime m_TargetDate = DateTime.MinValue;
+
         /// <summary>
+        /// 本体バージョン
+        /// </summary>
+        private int m_SystemVersion = 0;
+        /// <summary>
+        /// コピー・環境バージョン
+        /// </summary>
+        private int m_UpDateCopyVersion = 0;
+
+        /// <summary>
         /// 登録年月日
         /// </summary>
         private DateTime m_EntryDate = DateTime.MinValue;
@@ -49,6 +60,22 @@
             set { m_TargetDate = value; }
         }
         /// <summary>
+        /// 本体バージョン
+        /// </summary>
+        public int SystemVersion
+        {
+            get { return m_SystemVersion; }
+            set { m_SystemVersion = value; }
+        }
+        /// <summary>
+        /// コピー・環境バージョン
+        /// </summary>
+        public int UpDateCopyVersion
+        {
+            get { return m_UpDateCopyVersion; }
+            set { m_UpDateCopyVersion = value; }
+        }
+        /// <summary>
         /// 登録年月日
         /// </summary>
         public DateTime EntryDate
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.cs	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.cs	(revision 40)
@@ -506,7 +506,7 @@
             try
             {
                 dgv.Rows.Clear();
-                OrderFrm.DetailList.Clear();
+                m_OrderFrm.DetailList.Clear();
 
                 string strSQL = "";
                 int SearchCode = m_ConstructionCode;
@@ -550,7 +550,7 @@
                 foreach (object[] objRec in arList)
                 {
                     // 親フォームデータセット
-                    OrderFrm.DetailList.Add(objRec);
+                    m_OrderFrm.DetailList.Add(objRec);
 
                     AppStat = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.ApprovalStatus]);
                     Orderflg = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.PurchaseOrderflg]);
@@ -563,13 +563,14 @@
                     if (!brkConstrName.Equals(strConstrName)) brkConstrName = strConstrName;
                     else strConstrName = string.Empty;
 
-                    if (OrderNo < 1)
+                    strCount = string.Empty;
+                    if (OrderNo < 0)
                     {
-                        strCount = string.Empty;
+                        strCount = "一　括";
                     }
                     else
                     {
-                        strCount = string.Format("{0}回目", OrderNo);
+                        if (OrderNo != 0) strCount = string.Format("{0}回目", OrderNo);
                     }
                     int CurRowCnt = dgv.Rows.Add(iNo++,
                                                     0,
@@ -743,8 +744,11 @@
                     if (CommonMotions.chkCellBlank(dgv.Rows[i].Cells[(int)GridColumn.SelectExec].Value)) continue;
                     if ((bool)dgv.Rows[i].Cells[(int)GridColumn.SelectExec].Value) continue;
 
-                    // 内部データ削除
-                    OrderFrm.DetailList.RemoveAt(i);
+                    // 旧処理での承認は一括でおこなっているためそれがあれば全データ対象
+                    if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.OrderNo].Value) < 0) break;
+
+                    // 内部データ削除（親フォームのプロパティを編集する）
+                    m_OrderFrm.DetailList.RemoveAt(i);
                 }
             }
             catch (Exception ex)
@@ -832,8 +836,8 @@
                 }
 
                 // 新規データ作成フラグセット
-                if (bNoCreateData) OrderFrm.CreateData = true;
-                else OrderFrm.CreateData = false;
+                if (bNoCreateData) m_OrderFrm.CreateData = true;
+                else m_OrderFrm.CreateData = false;
 
                 return bRet;
             }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 40)
@@ -573,36 +573,13 @@
                 // ラベルオブジェクト取得
                 SetDisplayObject();
 
-                // 注文書データより表示方式の判定
-                if (!DisplayTypeCheck())
+                // データ選択画面表示
+                if (!DispOrderEntryList())
                 {
                     this.Close();
                     return;
                 }
 
-                // 直接表示の場合はデータを直接表示する
-                if (m_DirectFlg)
-                {
-                    m_CreateData = false;
-                    // ダミーデータセット
-                    if (!CreateDirectData())
-                    {
-                        this.Close();
-                        return;
-                    }
-                }
-                else
-                {
-                    if (m_bNewProcess)
-                    {
-                        // データ選択画面表示
-                        if (!DispOrderEntryList())
-                        {
-                            this.Close();
-                            return;
-                        }
-                    }
-                }
                 // 自画面初期表示
                 InitDataLoad();
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 40)
@@ -138,7 +138,7 @@
             {
                 int ConstrSearchCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
                 string strSQL = LDetailDB.CreatePrimarykeyString(ConstrSearchCode, (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                strSQL += string.Format(" AND SOURCECODE = {0}", m_ConstructionCode);
+                if (ConstrSearchCode != m_ConstructionCode) strSQL += string.Format(" AND SOURCECODE = {0}", m_ConstructionCode);
                 strSQL += " AND COMPANYCODE > 0";
                 ConstructionLedgerDetail LDetailRec = new ConstructionLedgerDetail();
                 if (!LDetailDB.SelectAction(strSQL, ref LDetailRec)) return false;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 40)
@@ -1,4 +1,5 @@
 ﻿using System;
+using System.IO;
 using System.Collections.Generic;
 using System.ComponentModel;
 using System.Data;
@@ -568,8 +569,29 @@
         };
         #endregion
 
+        #region 初期時システム更新ステータス
+        /// <summary>
+        /// 初期時システム更新ステータス
+        /// </summary>
+        private enum SystemUpdate
+        {
+            /// <summary>
+            /// 更新無通常起動
+            /// </summary>
+            ExecNormal = 0,
+            /// <summary>
+            /// 更新処理起動
+            /// </summary>
+            ExecUpdate,
+            /// <summary>
+            /// 異常時終了
+            /// </summary>
+            Abort,
+        }
         #endregion
 
+        #endregion
+
         #region 変数
         /// <summary>
         /// ログイン時終了フラグ
@@ -778,6 +800,14 @@
                 // エラーログファイル削除
                 ClsCleanUp.CleanLogFile();
 
+                // 初期時システム更新確認処理
+                if (SystemUpdate.ExecNormal != InitUpdateProc())
+                {
+                    m_LoginEndFlg = true;
+                    this.Close();
+                    return;
+                }
+
                 // タブコントロールをオーナードローへ変更
                 tabMenu.DrawMode = TabDrawMode.OwnerDrawFixed;
 
@@ -811,6 +841,74 @@
         }
         #endregion
 
+        #region 初期時システム更新確認
+        /// <summary>
+        /// 初期時システム更新確認
+        /// </summary>
+        /// <returns></returns>
+        private SystemUpdate InitUpdateProc()
+        {
+            IOSystemExecute SysExecDB = new IOSystemExecute();
+            try
+            {
+                // 本環境のみコピープロセス実行
+                if (!CommonMotions.ProductionExecution) return SystemUpdate.ExecNormal;
+
+                // システムのバージョンをチェックする
+                // キーを取得する
+                int PCode = CommonDefine.ExePrimaryCode.First(x => x.Value.Equals("システムバージョン")).Key;
+                
+                // バージョン読込
+                string strSQL = SysExecDB.CreatePrimarykeyString(PCode);
+                SystemExecute recordRec = new SystemExecute();
+                if (!SysExecDB.SelectAction(strSQL, ref recordRec))
+                {   // レコード無時はエラー
+                    logger.ErrorFormat("バージョンチェックデータ読込みエラー：{0}", CommonMotions.GetMethodName());
+                    return SystemUpdate.Abort;
+                }
+
+                // コピー・環境の更新確認
+                if (recordRec.UpDateCopyVersion > CommonVersion.s_UpDateCopyVersion)
+                {
+                    // コピー機能の更新
+                    ClsUpDate.UpdateAndEnvFileCopy();
+
+                    // 本体更新が無い場合は再起動
+                    if (recordRec.SystemVersion == CommonVersion.s_SystemVersion)
+                    {
+                        m_LoginEndFlg = true;
+                        Application.Restart();
+                        return SystemUpdate.ExecUpdate;
+                    }
+                }
+
+                // 本体更新の確認
+                if (recordRec.SystemVersion > CommonVersion.s_SystemVersion)
+                {
+                    // 本体・環境更新を起動する
+                    string ExecProc = System.Environment.CurrentDirectory + "\\" + CommonDefine.s_UPDATECOPY_NAME;
+                    if (File.Exists(ExecProc))
+                    {
+                        m_LoginEndFlg = true;
+                        Process p = Process.Start(ExecProc);
+                        return SystemUpdate.ExecUpdate;
+                    }
+                }
+
+                return SystemUpdate.ExecNormal;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return SystemUpdate.Abort;
+            }
+            finally
+            {
+                SysExecDB.close(); SysExecDB = null;
+            }
+        }
+        #endregion
+
         #region 初期画面表示時アクション
         /// <summary>
         /// 初期画面表示時アクション
@@ -2104,15 +2202,15 @@
                                 break;
                                 #endregion
                             case 5:
-                                //#region 各工事打合わせ議事録
-                                //// ----- 起動プロセス設定
-                                //NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
+                                #region 各工事打合わせ議事録
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
 
-                                //// 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                //// 工事日報入力
-                                //ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.Proceedings);
-                                //break;
-                                //#endregion
+                                // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                // 工事日報入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.Proceedings);
+                                break;
+                                #endregion
                             case 7:
                                 #region 交通費及び購入品入力
                                 // 交通費及び購入品入力
Index: trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 40)
@@ -104,6 +104,7 @@
     <Reference Include="System.Xml" />
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Common\CommonVersion.cs" />
     <Compile Include="Common\Process\ClsCalendar.cs" />
     <Compile Include="Common\Process\ClsChangeBaseInfoData.cs" />
     <Compile Include="Common\Process\ClsCleanUp.cs" />
Index: trunk/src/ProcessManagement/ProcessManagement/Program.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Program.cs	(revision 39)
+++ trunk/src/ProcessManagement/ProcessManagement/Program.cs	(revision 40)
@@ -40,25 +40,24 @@
                 Application.SetCompatibleTextRenderingDefault(false);
 
                 // 共通クラス初期化
-                //CommonAction.Instance.Initialize();
                 CommonMotions.Initialize();
 
-                // ファイルタイムスタンプチェック
-                if (!ClsUpDate.ProgramTimeStampCheck())
-                {
-                    // 本環境のみコピープロセス実行
-                    if (CommonMotions.ProductionExecution)
-                    {
-                        // ターゲットを起動する
-                        string ExecProc = System.Environment.CurrentDirectory + "\\" + CommonDefine.s_UPDATECOPY_NAME;
-                        if (File.Exists(ExecProc))
-                        {
-                            Application.Exit();
-                            Process p = Process.Start(ExecProc);
-                            return;
-                        }
-                    }
-                }
+                //// ファイルタイムスタンプチェック
+                //if (!ClsUpDate.ProgramTimeStampCheck())
+                //{
+                //    // 本環境のみコピープロセス実行
+                //    if (CommonMotions.ProductionExecution)
+                //    {
+                //        // ターゲットを起動する
+                //        string ExecProc = System.Environment.CurrentDirectory + "\\" + CommonDefine.s_UPDATECOPY_NAME;
+                //        if (File.Exists(ExecProc))
+                //        {
+                //            Application.Exit();
+                //            Process p = Process.Start(ExecProc);
+                //            return;
+                //        }
+                //    }
+                //}
 
                 Application.Run(new FrmMenu());
             }
Index: trunk/src/ProcessManagement/ProcessManagement.v12.suo
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
